<div *ngIf="!dataLoaded" class="lds-dual-ring"></div>
<div *ngIf="dataLoaded">
  <button *ngIf="extendedFunctionality" mat-button color="accent" (click)="onEditClick()"
      class="float-right mt-3">Edit</button>
  <div class="content-wrapper">
    <mat-tab-group [selectedIndex]="selected.value" (selectedIndexChange)="selectedIndexChanged($event)"> 
      <mat-tab label="Project">

        <div class="form-group">
          <label for="projectTitle">Project Title</label>
          <div id="projectTitle" name="projectTitle">
            <a [routerLink]="['/estimator-table/', projectId]">{{projectSettingsData.projectName}}</a>
          </div>
        </div>
        <a *ngIf="projectSettingsData.url" href="{{viewGetUrl()}}"> {{viewGetUrl()}}</a>
        <div class="form-group">
          <label for="description">Description</label>
          <div type="text" id="description" name="description">{{viewGetRrojectDescription()}}</div>
        </div>
        <div class="form-group">
          <label for="projectManager">Project manager</label>
          <div name="projectManager" id="projectManager">{{viewGetCurrentProjectManager()}}</div>
        </div>
        <div class="form-group">
          <label for="projectStatus">Project status</label>
          <div id="projectStatus" name="projectStatus">
            <a [routerLink]="['/dashboard-project-statistic/', projectId]">{{viewGetProjectStatus()}}</a>
          </div>
        </div>
        <div class="row form-group">
          <div class="col">
            <div class="form-group">
              <label for="startDate">Start Date</label>
              <div type="text" id="startDate" name="startDate">{{viewGetStartDate()}}</div>
            </div>
          </div>
          <div class="col">
            <div class="form-group">
              <label for="endDate">End Date</label>
              <div type="text" id="endDate" name="endDate">{{viewGetEndDate()}}</div>
            </div>
          </div>
        </div>
      </mat-tab>

      <mat-tab label="Milestones">
        <div class="form-group">
          <label>Milestones</label>
          <div *ngIf="milestonesInfo.length" class="table-container">
            <table mat-table [dataSource]="milestonesInfo" class="mat-elevation-z8 w-100">

              <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef> Milestone Name </th>
                <td mat-cell *matCellDef="let element"> {{element.name}} </td>
              </ng-container>

              <ng-container matColumnDef="status">
                <th mat-header-cell *matHeaderCellDef>Milestone Status </th>
                <td mat-cell *matCellDef="let element"> {{element.milestoneStatus.milestoneStatusName}} </td>
              </ng-container>

              <ng-container matColumnDef="hours">
                <th mat-header-cell *matHeaderCellDef> Hours </th>
                <td mat-cell *matCellDef="let element"> {{element.hours}} </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedMilestonesColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedMilestonesColumns;"></tr>
            </table>
          </div>
          <div *ngIf="!milestonesInfo.length">
            Milestones not exists
          </div>
        </div>
      </mat-tab>

      <mat-tab label="Blockers">
        <div class="form-group">
          <label>Blockers</label>
          <div *ngIf="!blockers.length">
            Blockers not attached to tasks
          </div>
          <div *ngIf="blockers.length" class="table-container">
            <table mat-table [dataSource]="blockers" class="mat-elevation-z8 w-100">

              <ng-container matColumnDef="taskName">
                <th mat-header-cell *matHeaderCellDef> Task Name </th>
                <td mat-cell *matCellDef="let element"> {{element.taskName}} </td>
              </ng-container>

              <ng-container matColumnDef="taskBlockerName">
                <th mat-header-cell *matHeaderCellDef> Task Blocker Name </th>
                <td mat-cell *matCellDef="let element"> {{element.taskBlockerName}} </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedTasksWithBlockersColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedTasksWithBlockersColumns;"></tr>
            </table>
          </div>
        </div>
      </mat-tab>

      <mat-tab label="Members">
        <div class="form-group">
          <label>Project Members</label>
          <div class="table-container">
            <table mat-table [dataSource]="members" class="mat-elevation-z8 w-100">

              <ng-container matColumnDef="image">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element" class="w-4r">
                  <img class="avatar" src="data:image/PNG;base64,{{element.image}}">
                </td>
              </ng-container>

              <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef> Name </th>
                <td mat-cell *matCellDef="let element"> {{element.firstName}} {{element.lastName}}</td>
              </ng-container>

              <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef> Email </th>
                <td mat-cell *matCellDef="let element"> {{element.email}} </td>
              </ng-container>

              <ng-container matColumnDef="registerDate">
                <th mat-header-cell *matHeaderCellDef> Register Date </th>
                <td mat-cell *matCellDef="let element"> {{element.registerDate}} </td>
              </ng-container>

              <ng-container matColumnDef="confirmation">
                <th mat-header-cell *matHeaderCellDef> Confirmation </th>
                <td mat-cell *matCellDef="let element">
                  <span *ngIf="element.isConfirmed">Confirmed</span>
                  <span *ngIf="!element.isConfirmed">Unconfirmed</span>
                </td>
              </ng-container>

              <ng-container matColumnDef="role">
                <th mat-header-cell *matHeaderCellDef> Roles </th>
                <td mat-cell *matCellDef="let element; let i = index"> {{element.role.roleName}} </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedMembersColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedMembersColumns;"></tr>
            </table>
          </div>
        </div>
      </mat-tab>

      <mat-tab label="Notes">
        <div class="form-group">
          <label for="inputNotes">Notes</label>
          <div *ngIf="!notes.length">
            Notes not exists
          </div>
          <div *ngIf="notes.length" class="table-container">
            <table mat-table [dataSource]="notes" class="mat-elevation-z8 w-100">

              <ng-container matColumnDef="noteName">
                <th mat-header-cell *matHeaderCellDef> Note name </th>
                <td mat-cell *matCellDef="let element"> {{element.noteName}} </td>
              </ng-container>

              <ng-container matColumnDef="note">
                <th mat-header-cell *matHeaderCellDef class="w-75"> Note text </th>
                <td mat-cell *matCellDef="let element"> {{element.note}} </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedNotesColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedNotesColumns;"></tr>
            </table>
          </div>
        </div>
      </mat-tab>

    </mat-tab-group>
  </div>
</div>